_main:
;HID_Read_Write_Polling.c,33 :: 		void main(void){
ADDIU	SP, SP, -4
;HID_Read_Write_Polling.c,34 :: 		int Count = 0;
MOVZ	R30, R0, R0
SH	R30, 0(SP)
;HID_Read_Write_Polling.c,35 :: 		TRISB.RB0 = 0; PORTB.RB0 = 0;
ORI	R2, R0, 1
SW	R2, Offset(TRISB+4)(GP)
SW	R2, Offset(PORTB+4)(GP)
;HID_Read_Write_Polling.c,37 :: 		AD1PCFG = 0xFFFF;                   // Configure AN pins as digital I/O
ORI	R2, R0, 65535
SW	R2, Offset(AD1PCFG+0)(GP)
;HID_Read_Write_Polling.c,39 :: 		HID_Enable(&readbuff,&writebuff);
LUI	R26, #hi_addr(_writebuff+0)
ORI	R26, R26, #lo_addr(_writebuff+0)
LUI	R25, #hi_addr(_readbuff+0)
ORI	R25, R25, #lo_addr(_readbuff+0)
JAL	_HID_Enable+0
NOP	
;HID_Read_Write_Polling.c,41 :: 		while(1){
L_main0:
;HID_Read_Write_Polling.c,42 :: 		USB_Polling_Proc();               // Call this routine periodically
JAL	_USB_Polling_Proc+0
NOP	
;HID_Read_Write_Polling.c,43 :: 		kk = HID_Read();
JAL	_HID_Read+0
NOP	
SB	R2, Offset(_kk+0)(GP)
;HID_Read_Write_Polling.c,44 :: 		if(kk != 0){
ANDI	R2, R2, 255
BNE	R2, R0, L__main8
NOP	
J	L_main2
NOP	
L__main8:
;HID_Read_Write_Polling.c,45 :: 		for(cnt=0;cnt<64;cnt++)
SB	R0, Offset(_cnt+0)(GP)
L_main3:
LBU	R2, Offset(_cnt+0)(GP)
SLTIU	R2, R2, 64
BNE	R2, R0, L__main9
NOP	
J	L_main4
NOP	
L__main9:
;HID_Read_Write_Polling.c,46 :: 		writebuff[cnt]=readbuff[cnt];
LBU	R3, Offset(_cnt+0)(GP)
LUI	R2, #hi_addr(_writebuff+0)
ORI	R2, R2, #lo_addr(_writebuff+0)
ADDU	R4, R2, R3
LBU	R3, Offset(_cnt+0)(GP)
LUI	R2, #hi_addr(_readbuff+0)
ORI	R2, R2, #lo_addr(_readbuff+0)
ADDU	R2, R2, R3
LBU	R2, 0(R2)
SB	R2, 0(R4)
;HID_Read_Write_Polling.c,45 :: 		for(cnt=0;cnt<64;cnt++)
LBU	R2, Offset(_cnt+0)(GP)
ADDIU	R2, R2, 1
SB	R2, Offset(_cnt+0)(GP)
;HID_Read_Write_Polling.c,46 :: 		writebuff[cnt]=readbuff[cnt];
J	L_main3
NOP	
L_main4:
;HID_Read_Write_Polling.c,48 :: 		LATB.RB0 = readbuff[63] ;
LBU	R3, Offset(_readbuff+63)(GP)
LBU	R2, Offset(LATB+0)(GP)
INS	R2, R3, 0, 1
SB	R2, Offset(LATB+0)(GP)
;HID_Read_Write_Polling.c,49 :: 		writebuff[0] = ++Count;
LH	R2, 0(SP)
ADDIU	R2, R2, 1
SH	R2, 0(SP)
SB	R2, Offset(_writebuff+0)(GP)
;HID_Read_Write_Polling.c,51 :: 		HID_Write(&writebuff,64);
ORI	R26, R0, 64
LUI	R25, #hi_addr(_writebuff+0)
ORI	R25, R25, #lo_addr(_writebuff+0)
JAL	_HID_Write+0
NOP	
;HID_Read_Write_Polling.c,52 :: 		}
L_main2:
;HID_Read_Write_Polling.c,53 :: 		}
J	L_main0
NOP	
;HID_Read_Write_Polling.c,54 :: 		}
L_end_main:
L__main_end_loop:
J	L__main_end_loop
NOP	
; end of _main
